> ## Documentation Index
> Fetch the complete documentation index at: https://lightdash-mintlify-9d6f9427.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Request domain verification

> Sends a one-time passcode to an address at the domain to begin verifying
ownership. The domain must not be a public email provider and must not
already be verified by another organization.



## OpenAPI

````yaml https://raw.githubusercontent.com/lightdash/lightdash/refs/heads/main/packages/backend/src/generated/swagger.json post /api/v1/org/domains/verify
openapi: 3.0.0
info:
  title: Lightdash API
  version: 0.3249.0
  description: >
    Open API documentation for all public Lightdash API endpoints. #
    Authentication Before you get started, you might need to create a Personal
    Access Token to authenticate via the API. You can create a token by
    following this guide: https://docs.lightdash.com/references/personal_tokens
  license:
    name: MIT
  contact:
    name: Lightdash Support
    email: support@lightdash.com
    url: https://docs.lightdash.com/help-and-contact/contact/contact_info/
servers:
  - url: /
security: []
tags:
  - name: My Account
    description: These routes allow users to manage their own user account.
  - name: Organizations
    description: >-
      Each user is a member of a single organization. These routes allow users
      to manage their organization. Most actions are only available to admin
      users.
  - name: Projects
    description: >-
      Projects belong to a single organization. These routes allow users to
      manage their projects, browse content, and execute queries. Users inside
      an organization might have access to a project from an organization-level
      role or they might be granted access to a project directly.
  - name: Spaces
    description: >-
      Spaces allow you to organize charts and dashboards within a project. They
      also allow granular access to content by allowing you to create private
      spaces, which are only accessible to the creator and admins.
  - name: Roles & Permissions
    description: >-
      These routes allow users to manage roles and permissions for their
      organization.
    externalDocs:
      url: https://docs.lightdash.com/references/roles
  - name: Query
    description: >-
      These routes allow users to execute and manage queries against their data
      warehouse. This includes metric queries, SQL queries, and retrieving query
      results.
paths:
  /api/v1/org/domains/verify:
    post:
      tags:
        - Organizations
      summary: Request domain verification
      description: |-
        Sends a one-time passcode to an address at the domain to begin verifying
        ownership. The domain must not be a public email provider and must not
        already be verified by another organization.
      operationId: RequestDomainVerification
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RequestDomainVerification'
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiDomainVerificationStatusResponse'
        default:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorPayload'
      security: []
components:
  schemas:
    RequestDomainVerification:
      properties:
        challengeEmail:
          type: string
        domain:
          type: string
      required:
        - challengeEmail
        - domain
      type: object
      description: >-
        Request to verify a domain. `challengeEmail` must be an address at
        `domain`;

        a one-time passcode is sent there and confirmed via

        {@link ConfirmDomainVerification}.
    ApiDomainVerificationStatusResponse:
      properties:
        results:
          $ref: '#/components/schemas/DomainVerificationStatus'
        status:
          type: string
          enum:
            - ok
          nullable: false
      required:
        - results
        - status
      type: object
    ApiErrorPayload:
      properties:
        error:
          properties:
            data:
              $ref: '#/components/schemas/AnyType'
              description: Optional data containing details of the error
            message:
              type: string
              description: A friendly message summarising the error
            name:
              type: string
              description: Unique name for the type of error
            statusCode:
              type: number
              format: integer
              description: HTTP status code
          required:
            - name
            - statusCode
          type: object
        status:
          type: string
          enum:
            - error
          nullable: false
      required:
        - error
        - status
      type: object
      description: |-
        The Error object is returned from the api any time there is an error.
        The message contains
    DomainVerificationStatus:
      allOf:
        - $ref: '#/components/schemas/Pick_EmailStatusExpiring.otp_'
        - properties:
            isVerified:
              type: boolean
            domain:
              type: string
          required:
            - isVerified
            - domain
          type: object
      description: >-
        Verification status of a single domain. Mirrors {@link
        EmailStatusExpiring}:

        `otp` is present only while a pending one-time passcode challenge
        exists.
    AnyType:
      description: |-
        This AnyType is an alias for any
        The goal is to make it easier to identify any type in the codebase
        without having to eslint-disable all the time
        These are only used on legacy `any` types, don't use it for new types.
        This is added on a separate file to avoid circular dependencies.
    Pick_EmailStatusExpiring.otp_:
      properties:
        otp:
          allOf:
            - $ref: '#/components/schemas/EmailOneTimePassword'
            - properties:
                isMaxAttempts:
                  type: boolean
                isExpired:
                  type: boolean
                expiresAt:
                  type: string
                  format: date-time
              required:
                - isMaxAttempts
                - isExpired
                - expiresAt
              type: object
          description: |-
            One time passcode information
            If there is no active passcode, this will be undefined
      type: object
      description: From T, pick a set of properties whose keys are in the union K
    EmailOneTimePassword:
      properties:
        numberOfAttempts:
          type: number
          format: double
          description: Number of times the passcode has been attempted
        createdAt:
          type: string
          format: date-time
          description: Time that the passcode was created
      required:
        - numberOfAttempts
        - createdAt
      type: object

````